include:
  - project: 'repos/releng/kokkuri'
    file: 'includes/images.yaml'

stages:
  - test

workflow:
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    - if: $CI_COMMIT_TAG && $CI_COMMIT_REF_PROTECTED

check:
  stage: test
  extends: .kokkuri:build-and-run-image
  variables:
    BUILD_VARIANT: test
    BUILD_CONFIG: .pipeline/blubber.yaml
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
